package com.ztmap.project.zhny.energystoragecncfdl.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

/**
 * 储能充放电量对象 t_energy_storage_cncfdl
 * 
 * @author ztmap
 * @date 2023-10-09
 */
public class TEnergyStorageCncfdl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 数据日期 */
    @Excel(name = "数据日期")
    private String dataTime;

    /** 放电量 */
    @Excel(name = "放电量")
    private Double fdl;

    /** 充电量 */
    @Excel(name = "充电量")
    private Double cdl;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDataTime(String dataTime)
    {
        this.dataTime = dataTime;
    }

    public String getDataTime()
    {
        return dataTime;
    }
    public void setFdl(Double fdl)
    {
        this.fdl = fdl;
    }

    public Double getFdl()
    {
        return fdl;
    }
    public void setCdl(Double cdl)
    {
        this.cdl = cdl;
    }

    public Double getCdl()
    {
        return cdl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataTime", getDataTime())
            .append("fdl", getFdl())
            .append("cdl", getCdl())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
